Subject: Re: bug#32000: 26.1; Behavior of buffer-offer-save not lining up with documentation

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 12 Oct 2019 23:22:54 +0200

Noam Postavsky <[email-masked]> writes:

> Brad Lindsay <[email-masked]> writes:
>
>> I am trying to create a function that creates a new empty buffer that
>> prompts you to save it when you kill it. Reading through the
>> documentation, it looks like I need to set “buffer-offer-save” to a
>> non-nil value since the new buffer is not a file-visiting buffer. I
>> have tried doing that, and verifying that the variable isn’t set and
>> that the new buffer isn’t empty, but when I close (kill) the buffer, I
>> don’t get a prompt.
>
> buffer-offer-save is for killing Emacs or save-some-buffers, to catch
> buffer killing use kill-buffer-query-functions.  We could probably make
> the docs a bit more explicit about this.

Looks like the doc string here was fixed a couple of days after this was
reported, so I'm closing the bug report now.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no